nut-snmp_2.7.2-4ubuntu1_amd64.deb


Advertisement

Description

nut-snmp - network UPS tools - SNMP driver

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename nut-snmp_2.7.2-4ubuntu1_amd64.deb
Package name nut-snmp
Package version 2.7.2
Package release 4ubuntu1
Package architecture amd64
Package type deb
Category admin
Homepage http://www.networkupstools.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 77.84 KB
Installed size 289.00 KB
Network UPS Tools (NUT) is a client/server monitoring system that
allows computers to share uninterruptible power supply (UPS) and
power distribution unit (PDU) hardware. Clients access the hardware
through the server, and are notified whenever the power status
changes.
This package provides snmp-ups, the SNMP multi-MIB driver for UPS, which
supports various MIBs including IETF, MGE, and APC. It adds an SNMP
Manager interface to the core NUT system.

Alternatives

Package Version Architecture Repository
nut-snmp_2.7.2-4ubuntu1.2_i386.deb 2.7.2 i386 Ubuntu Updates Main
nut-snmp_2.7.2-4ubuntu1.2_amd64.deb 2.7.2 amd64 Ubuntu Updates Main
nut-snmp_2.7.2-4ubuntu1_i386.deb 2.7.2 i386 Ubuntu Main
nut-snmp - - -

Requires

Name Value
libc6 >= 2.15
libsnmp30 >= 5.7.3+dfsg-1ubuntu3~dfsg
nut >= 1.4.1-pre1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package nut-snmp_2.7.2-4ubuntu1_amd64.deb
Source Package nut

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install nut-snmp deb package:
    # sudo apt-get install nut-snmp

Files

Path
/lib/nut/snmp-ups
/usr/share/doc/nut-snmp/AUTHORS.gz
/usr/share/doc/nut-snmp/NEWS.Debian.gz
/usr/share/doc/nut-snmp/NEWS.gz
/usr/share/doc/nut-snmp/README.gz
/usr/share/doc/nut-snmp/TODO.gz
/usr/share/doc/nut-snmp/changelog.Debian.gz
/usr/share/doc/nut-snmp/copyright
/usr/share/doc/nut-snmp/snmp.txt
/usr/share/man/man8/snmp-ups.8.gz

Changelog

2015-12-03 - Louis Bouchard <louis.bouchard@ubuntu.com>
nut (2.7.2-4ubuntu1) xenial; urgency=low
* Merge with Debian; remaining changes (LP: #1522346) :
- debian/control:
+ remove Build-Depends on libpowerman0-dev
+ remove nut-powerman-pdu
- debian/nut-powerman-pdu.{install,manpages}: dropped for now
- debian/{nut-cgi,nut-server}.postinst: add nut to the group
unconditonally, for compatibility with UPSes connected by serial port.
- debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
debian/rules: Install apport hooks for all top-level nut packages.
- Patch libtool.m4 and configure to support ppc64le.
- Disable systemd unit; it does not check nut.conf whether nut is
configured, and thus fails to start (and the package install).  The
init.d script works well enough for the time being.
- debian/tests/test-nut.py: in the CVE_2012_2944 test, give nut at most
+ 5 seconds to shut down, instead of expecting it to be shut down
immediately after sending the killall.
+ Additional indication on how to run tests for oneiric, precise to 
vivid and wily+
- debian/patches/0006-ups-conf-reorder.patch: Move maxretry setting
above Examples section.
- debian/tests/control : Fix dep8 test failures:
+ Drop python-unit from dep8 dependencies since the python-test
package has now been removed. The unittest module has shipped with
Python since 2.1.
+ Add dep8 test dependency on python, since Python 2 is required and
is not necessarily installed by default any more.
* Dropped changes:
- Fix linking libupsclient : Superseded upstream
- debian/patches/backport-fix-lp753661.patch: extraneous end-of-line now
fixed differently upstream.
- debian/rules: Use udev version for Ubuntu; delta no longer needed as
both versions are earlier than the earliest supported udev in Ubuntu.
[ Steve Langasek ]
* debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
unconditional, since adduser is guaranteed to be idempotent.
2015-03-20 - Laurent Bigonville <bigon@debian.org>
nut (2.7.2-4) unstable; urgency=medium
* Really fix package initial installation when PID1 is systemd (Closes:
#747863)
2015-02-17 - Laurent Bigonville <bigon@debian.org>
nut (2.7.2-3) unstable; urgency=medium
* debian/NEWS: Fix NEWS file syntax
2015-02-17 - Laurent Bigonville <bigon@debian.org>
nut (2.7.2-2) unstable; urgency=medium
[ Laurent Bigonville ]
* debian/gbp.conf: Switch to debian-jessie branch
* debian/rules: Revert the changes made in the previous NMU, I don't think
that dropping the .service file that late in the release cycle is a good
idea and anyway this was causing left-over files on upgrade.
* Add wrappers that check the MODE in /etc/nut/nut.conf to avoid starting
the daemons if nut is not configured (Closes: #747863).
[ Michael Fincham ]
* Add patch that detects and corrects unsafe permissions on ~/.nut-monitor
left over from old installations during NUT-Monitor startup.
(Closes: #777706)
2015-01-17 - Neil Williams <codehelp@debian.org>
nut (2.7.2-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Port Ubuntu change to drop upstream systemd unit files to allow
sysvinit files for Jessie. (Closes: #747863)

See Also

Package Description
nut_2.7.2-4ubuntu1_all.deb network UPS tools - metapackage
nux-tools_4.0.8+16.04.20160209-0ubuntu2_amd64.deb Visual rendering toolkit for real-time applications - tools
nvidia-prime_0.8.2_amd64.deb Tools to enable NVIDIA's Prime
nvidia-settings_361.42-0ubuntu1_amd64.deb Tool for configuring the NVIDIA graphics driver
ocfs2-tools-dev_1.6.4-3.1_amd64.deb tools for managing OCFS2 cluster filesystems - development files
ocfs2-tools_1.6.4-3.1_amd64.deb tools for managing OCFS2 cluster filesystems
ocfs2console_1.6.4-3.1_amd64.deb tools for managing OCFS2 cluster filesystems - graphical interface
ocl-icd-dev_2.2.8-1_amd64.deb Development files to build a ICD Loader
ocl-icd-libopencl1_2.2.8-1_amd64.deb Generic OpenCL ICD Loader
ocl-icd-opencl-dev_2.2.8-1_amd64.deb OpenCL development files
odbc-mdbtools_0.7.1-4_amd64.deb MDB tools ODBC driver
odbcinst1debian2_2.3.1-4.1_amd64.deb Support library for accessing odbc ini files
odbcinst_2.3.1-4.1_amd64.deb Helper program for accessing odbc ini files
oem-config-debconf_2.21.63_all.deb debconf frontend for end-user post-OEM-install configuration
oem-config-gtk_2.21.63_all.deb GTK+ frontend for end-user post-OEM-install configuration
Advertisement
Advertisement